import { StrategyBasedIndicatorDescription } from "./StrategyBasedIndicatorDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class BollingerBandWidthIndicatorDescription extends StrategyBasedIndicatorDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private fp;
    get period(): number;
    set period(a: number);
    private fn;
    get multiplier(): number;
    set multiplier(a: number);
}
